
From: Andrew Morton <akpm@osdl.org>

kernel/sched.c: In function `__might_sleep':
kernel/sched.c:5461: warning: int format, long unsigned int arg (arg 3)

We expect irqs_disabled() to return an int (poor man's bool).

Cc: Russell King <rmk@arm.linux.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-arm/system.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-arm/system.h~arm-irqs_disabled-type-fix include/asm-arm/system.h
--- 25/include/asm-arm/system.h~arm-irqs_disabled-type-fix	2005-06-18 02:48:44.000000000 -0700
+++ 25-akpm/include/asm-arm/system.h	2005-06-18 02:48:44.000000000 -0700
@@ -307,7 +307,7 @@ do {									\
 ({					\
 	unsigned long flags;		\
 	local_save_flags(flags);	\
-	flags & PSR_I_BIT;		\
+	(int)(flags & PSR_I_BIT);	\
 })
 
 #ifdef CONFIG_SMP
_
